Subject: Re: bug#31602: libreoffice not reproducible

From: Danny Milosavljevic <[email-masked]>
Date: Wed, 30 May 2018 09:47:15 +0200

Hi Ludo,

On Tue, 29 May 2018 19:21:40 +0200
[email-masked] (Ludovic Courtès) wrote:

> Danny Milosavljevic <[email-masked]> skribis:
> 
> > These are actually all zip files.  The reason for the non-reproducibility is
> > that something copies the contents from the source to a mktemp'ed directory
> > without preserving timestamps.  Then this directory is zipped up.  
> 
> Without *clearing* timestamps?

I think it's something like this:

src/foo.png exists with the source timestamp (which is constant for this version).

Something does mktemp, then copies the src/foo.png there without preserving timestamps.

Then this temp directory is zipped up.  Now it has the wrong (different, more current)
timestamps in it.

> Perhaps we could add a phase that unpacks-resets-repacks these?  Or,
> alternately, something like the Debian/R-B tool (I forgot the name) that
> does that automatically.

As a fallback - sure.

For now I've been trying to find the place in libreoffice where
it does the copying and patch that and upstream it.

I tried Zip.mk but seems that's not actually used (?).